Bug 159567 - Logwatch doesn't recongnize routine mailman access
Summary: Logwatch doesn't recongnize routine mailman access
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logwatch (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Keywords:
Depends On:
Blocks: 189992 FAST4.5APPROVED
TreeView+ depends on / blocked
 
Reported: 2005-06-04 16:52 UTC by Matthew Saltzman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0631
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 13:53:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch. (2.04 KB, patch)
2005-08-31 11:15 UTC, Ivana Varekova
no flags Details | Diff
suppress the file list of no suffixes. (536 bytes, patch)
2005-09-02 11:02 UTC, Hideaki Suzuki
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0631 normal SHIPPED_LIVE logwatch bug fix update 2007-05-01 14:10:43 UTC

Description Matthew Saltzman 2005-06-04 16:52:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Logwatch reports routine access to mailman listinfo and archive pages as "unidentified 'other' records"

Version-Release number of selected component (if applicable):
logwatch-5.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. Standard RHEL 4 installation with mailman.
2. Access various pages under http://www.myserver.com/pipermail or http://www.myserver.com/mailman.
3. Wait for next day's logwatch report.
  

Actual Results:  Lots of "unidentified 'other' records" in httpd section of logwatch report, all "GET /pipermail/..." or "GET /mailman/..." with code 200 responses.

Expected Results:  The code 200 responses are normal accesses and should be filtered out by logwatch.

Additional info:

Comment 1 Ivana Varekova 2005-08-31 11:15:49 UTC
Created attachment 118292 [details]
Proposed patch.

This problem is fixed in the attached patch. Logwatch should ignore most of
mailx and pipermail log messages, but logwatch should not ignore (not only
mailman and pipermail) log messages with error response codes >400 (see
upstream version). The attached patch fixes this problem too.

Comment 2 Hideaki Suzuki 2005-09-02 10:57:33 UTC
logwatch seems to report all files without suffix.  Mailman uses cgi files 
without suffixes.

Chances are, the patch attached is good enough.

Comment 3 Hideaki Suzuki 2005-09-02 11:02:11 UTC
Created attachment 118387 [details]
suppress the file list of no suffixes.

Comment 14 Red Hat Bugzilla 2006-09-06 13:53:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0631.html



Note You need to log in before you can comment on or make changes to this bug.